
CoCoALib - Bug #1205

SyzOfGens: bug with zero generators

01 Aug 2018 08:19 - Anna Maria Bigatti

Status: Closed Start date: 01 Aug 2018

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Improving Estimated time: 5.01 hours

Target version: CoCoALib-0.99600 Spent time: 5.00 hours

Description

/**/  use R ::= QQ[x,y,z];

/**/  I := ideal([x, y, x+y, 0]);

/**/ SyzOfGens(I);

gives error.   

(translate cocoa5 fix into cocoalib)

Related issues:

Related to CoCoALib - Feature #1206: syz, SyzOfGens: which shifts for zero? Closed 02 Aug 2018

Related to CoCoA-5 - Bug #1781: GenReprCompute: SERIOUS ERROR Feedback 08 Feb 2024

Related to CoCoALib - Design #1647: Suppress zero from ideal generators?  Det... Closed 20 Jan 2022

History

#1 - 02 Aug 2018 14:55 - Anna Maria Bigatti

- Related to Feature #1206: syz, SyzOfGens: which shifts for zero? added

#2 - 02 Aug 2018 15:09 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90

/**/  use R ::= QQ[x,y,z];

/**/  I := ideal([x, y, x+y, 0]);

/**/  SyzOfGens(I);

but syzygies are automatically shifted with the degrees of the generators, and what's the degree of 0?

To avoid having to guess, we force the user to create the free module.

/**/  use R ::= QQ[x,y,z];

/**/  I := ideal([x, y, x+y, 0]);

/**/  R4 := NewFreeModule(R,4);

/**/  SyzOfGens(R4,I);

See #1206 for follow-ups.
#3 - 02 Aug 2018 15:10 - Anna Maria Bigatti

- Estimated time changed from 3.01 h to 5.01 h

#4 - 03 Aug 2018 18:09 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#5 - 09 Feb 2024 08:28 - Anna Maria Bigatti

- Related to Bug #1781: GenReprCompute: SERIOUS ERROR added

#6 - 09 Feb 2024 08:28 - Anna Maria Bigatti

- Related to Design #1647: Suppress zero from ideal generators?  Detect 1 and simplify generators? added
